"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrailleCharacter = void 0;
const EncodingCategory_1 = require("../Common/EncodingCategory");
const EncodingCharacterBase_1 = require("../Common/EncodingCharacterBase");
const BrailleData_1 = require("./BrailleData");
const BrailleEncoding_1 = require("./BrailleEncoding");
class BrailleCharacter extends EncodingCharacterBase_1.EncodingCharacterBase {
    _encoding;
    constructor(encoding = BrailleEncoding_1.BrailleEncoding.None, category = EncodingCategory_1.EncodingCategory.All) {
        super(BrailleData_1.BrailleData.instance, category);
        this._encoding = encoding;
    }
    get encoding() {
        return this._encoding;
    }
    set encoding(value) {
        this._encoding = value;
        this.invalidateLookup();
    }
    get(mask) {
        return (this._encoding & mask) === mask;
    }
    toggle(mask) {
        this._encoding ^= mask;
        this.invalidateLookup();
    }
    onClear() {
        this._encoding = BrailleEncoding_1.BrailleEncoding.None;
        this.invalidateLookup();
    }
    onEmpty() {
        return this._encoding === BrailleEncoding_1.BrailleEncoding.None;
    }
    getEncoding() {
        return this._encoding;
    }
}
exports.BrailleCharacter = BrailleCharacter;
//# sourceMappingURL=BrailleCharacter.js.map