"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrailleEncoding = void 0;
const BrailleDot_1 = require("./BrailleDot");
var BrailleEncoding;
(function (BrailleEncoding) {
    BrailleEncoding[BrailleEncoding["None"] = 0] = "None";
    // Letters (first decade)
    BrailleEncoding[BrailleEncoding["LetterA"] = 1] = "LetterA";
    BrailleEncoding[BrailleEncoding["LetterB"] = 3] = "LetterB";
    BrailleEncoding[BrailleEncoding["LetterC"] = 9] = "LetterC";
    BrailleEncoding[BrailleEncoding["LetterD"] = 25] = "LetterD";
    BrailleEncoding[BrailleEncoding["LetterE"] = 17] = "LetterE";
    BrailleEncoding[BrailleEncoding["LetterF"] = 11] = "LetterF";
    BrailleEncoding[BrailleEncoding["LetterG"] = 27] = "LetterG";
    BrailleEncoding[BrailleEncoding["LetterH"] = 19] = "LetterH";
    BrailleEncoding[BrailleEncoding["LetterI"] = 10] = "LetterI";
    BrailleEncoding[BrailleEncoding["LetterJ"] = 26] = "LetterJ";
    // Letters (second decade)
    BrailleEncoding[BrailleEncoding["LetterK"] = 5] = "LetterK";
    BrailleEncoding[BrailleEncoding["LetterL"] = 7] = "LetterL";
    BrailleEncoding[BrailleEncoding["LetterM"] = 13] = "LetterM";
    BrailleEncoding[BrailleEncoding["LetterN"] = 29] = "LetterN";
    BrailleEncoding[BrailleEncoding["LetterO"] = 21] = "LetterO";
    BrailleEncoding[BrailleEncoding["LetterP"] = 15] = "LetterP";
    BrailleEncoding[BrailleEncoding["LetterQ"] = 31] = "LetterQ";
    BrailleEncoding[BrailleEncoding["LetterR"] = 23] = "LetterR";
    BrailleEncoding[BrailleEncoding["LetterS"] = 14] = "LetterS";
    BrailleEncoding[BrailleEncoding["LetterT"] = 30] = "LetterT";
    // Letters (third decade)
    BrailleEncoding[BrailleEncoding["LetterU"] = 37] = "LetterU";
    BrailleEncoding[BrailleEncoding["LetterV"] = 39] = "LetterV";
    BrailleEncoding[BrailleEncoding["LetterX"] = 45] = "LetterX";
    BrailleEncoding[BrailleEncoding["LetterY"] = 61] = "LetterY";
    BrailleEncoding[BrailleEncoding["LetterZ"] = 53] = "LetterZ";
    // Letters (fourth decade)
    BrailleEncoding[BrailleEncoding["LetterW"] = 58] = "LetterW";
    // Numbers
    BrailleEncoding[BrailleEncoding["Number1"] = 1] = "Number1";
    BrailleEncoding[BrailleEncoding["Number2"] = 3] = "Number2";
    BrailleEncoding[BrailleEncoding["Number3"] = 9] = "Number3";
    BrailleEncoding[BrailleEncoding["Number4"] = 25] = "Number4";
    BrailleEncoding[BrailleEncoding["Number5"] = 17] = "Number5";
    BrailleEncoding[BrailleEncoding["Number6"] = 11] = "Number6";
    BrailleEncoding[BrailleEncoding["Number7"] = 27] = "Number7";
    BrailleEncoding[BrailleEncoding["Number8"] = 19] = "Number8";
    BrailleEncoding[BrailleEncoding["Number9"] = 10] = "Number9";
    BrailleEncoding[BrailleEncoding["Number0"] = 26] = "Number0";
    // Formatting
    BrailleEncoding[BrailleEncoding["FormattingNumber"] = 60] = "FormattingNumber";
    BrailleEncoding[BrailleEncoding["FormattingCapital"] = 32] = "FormattingCapital";
    // Punctuation
    BrailleEncoding[BrailleEncoding["PunctuationComma"] = 2] = "PunctuationComma";
    BrailleEncoding[BrailleEncoding["PunctuationSemicolon"] = 6] = "PunctuationSemicolon";
    BrailleEncoding[BrailleEncoding["PunctuationApostrophe"] = 4] = "PunctuationApostrophe";
    BrailleEncoding[BrailleEncoding["PunctuationColon"] = 18] = "PunctuationColon";
    BrailleEncoding[BrailleEncoding["PunctuationHyphen"] = 36] = "PunctuationHyphen";
    BrailleEncoding[BrailleEncoding["PunctuationDecimalPoint"] = 40] = "PunctuationDecimalPoint";
    BrailleEncoding[BrailleEncoding["PunctuationFullStop"] = 50] = "PunctuationFullStop";
    BrailleEncoding[BrailleEncoding["PunctuationExclamationPoint"] = 22] = "PunctuationExclamationPoint";
    BrailleEncoding[BrailleEncoding["PunctuationOpenQuote"] = 38] = "PunctuationOpenQuote";
    BrailleEncoding[BrailleEncoding["PunctuationQuestionMark"] = 38] = "PunctuationQuestionMark";
    BrailleEncoding[BrailleEncoding["PunctuationCloseQuote"] = 52] = "PunctuationCloseQuote";
    BrailleEncoding[BrailleEncoding["PunctuationBracket"] = 54] = "PunctuationBracket";
    BrailleEncoding[BrailleEncoding["PunctuationSlash"] = 12] = "PunctuationSlash";
})(BrailleEncoding || (exports.BrailleEncoding = BrailleEncoding = {}));
//# sourceMappingURL=BrailleEncoding.js.map