"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutoKeyString = void 0;
const CaesarUtils_1 = require("./CaesarUtils");
const KeyedCipherStringBase_1 = require("./KeyedCipherStringBase");
class AutoKeyString extends KeyedCipherStringBase_1.KeyedCipherStringBase {
    convert(decrypt) {
        if (this._key.length < 1) {
            return this._text;
        }
        else {
            const rotStr = [];
            let keyIndex = 0;
            let fullKey = this._key;
            for (const ch of this._text) {
                if (CaesarUtils_1.CaesarUtils.isAlpha(ch)) {
                    const currentLetter = CaesarUtils_1.CaesarUtils.rotateLetterWithKey(ch, fullKey, keyIndex++, decrypt);
                    rotStr.push(currentLetter);
                    if (decrypt) {
                        fullKey += currentLetter;
                    }
                    else {
                        fullKey += ch;
                    }
                }
                else {
                    rotStr.push(ch);
                }
            }
            return rotStr.join('');
        }
    }
}
exports.AutoKeyString = AutoKeyString;
//# sourceMappingURL=AutoKeyString.js.map