"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VigenereString = void 0;
const CaesarUtils_1 = require("./CaesarUtils");
const KeyedCipherStringBase_1 = require("./KeyedCipherStringBase");
class VigenereString extends KeyedCipherStringBase_1.KeyedCipherStringBase {
    convert(decrypt) {
        const rotStr = [];
        let keyIndex = 0;
        for (const ch of this._text) {
            if (CaesarUtils_1.CaesarUtils.isAlpha(ch)) {
                rotStr.push(CaesarUtils_1.CaesarUtils.rotateLetterWithKey(ch, this._key, keyIndex++, decrypt));
            }
            else {
                rotStr.push(ch);
            }
        }
        return rotStr.join('');
    }
}
exports.VigenereString = VigenereString;
//# sourceMappingURL=VigenereString.js.map