import { EncodingCategory } from '../Common/EncodingCategory';
import { EncodingEntry } from '../Common/EncodingEntry';
import { EncodingDataBase } from './EncodingDataBase';
export declare abstract class EncodingCharacterBase<T extends number> {
    private _category;
    private _data;
    private _lookup;
    constructor(data: EncodingDataBase<T>, category: EncodingCategory);
    get category(): EncodingCategory;
    set category(value: EncodingCategory);
    clear(): void;
    empty(): boolean;
    getExactMatches(): Array<EncodingEntry<T>>;
    getPotentialMatches(): Array<EncodingEntry<T>>;
    toString(): string;
    valid(): boolean;
    valueOf(): T;
    protected invalidateLookup(): void;
    protected abstract onClear(): void;
    protected abstract onEmpty(): boolean;
    protected abstract getEncoding(): T;
    private ensureLookup;
}
