"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EncodingCharacterBase = void 0;
class EncodingCharacterBase {
    _category;
    _data;
    _lookup = null;
    constructor(data, category) {
        this._data = data;
        this._category = category;
        this.invalidateLookup();
    }
    get category() {
        return this._category;
    }
    set category(value) {
        if (this._category !== value) {
            this._category = value;
            this.invalidateLookup();
        }
    }
    clear() {
        this.onClear();
        this.invalidateLookup();
    }
    empty() {
        return this.onEmpty();
    }
    getExactMatches() {
        return this.ensureLookup().exact;
    }
    getPotentialMatches() {
        return this.ensureLookup().partial;
    }
    toString() {
        return this.ensureLookup().exactString;
    }
    valid() {
        return this.ensureLookup().exact.length > 0;
    }
    valueOf() {
        return this.getEncoding();
    }
    invalidateLookup() {
        this._lookup = null;
    }
    ensureLookup() {
        if (!this._lookup) {
            this._lookup = this._data.lookup(this.getEncoding(), this._category);
        }
        return this._lookup;
    }
}
exports.EncodingCharacterBase = EncodingCharacterBase;
//# sourceMappingURL=EncodingCharacterBase.js.map