"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EncodingDataBase = void 0;
const EncodingCategory_1 = require("./EncodingCategory");
const EncodingEntry_1 = require("./EncodingEntry");
const EncodingLookupResult_1 = require("./EncodingLookupResult");
class EncodingDataBase {
    _entries = [];
    lookup(encoding, category = EncodingCategory_1.EncodingCategory.All) {
        const result = new EncodingLookupResult_1.EncodingLookupResult();
        for (const entry of this._entries) {
            if ((entry.category & category) !== 0) {
                if (entry.encoding === encoding) {
                    result.exact.push(entry);
                }
                else if ((entry.encoding & encoding) === encoding) {
                    result.partial.push(entry);
                }
            }
        }
        return result;
    }
    addToList(encoding, category, display) {
        this._entries.push(new EncodingEntry_1.EncodingEntry(encoding, category, display));
    }
}
exports.EncodingDataBase = EncodingDataBase;
//# sourceMappingURL=EncodingDataBase.js.map