"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CharacterTableEntry = void 0;
class CharacterTableEntry {
    static getValue(value, base, maxValue) {
        return value
            .toString(base)
            .padStart(Math.ceil(Math.log(maxValue) / Math.log(base)), '0');
    }
    character;
    binary;
    ternary;
    octal;
    decimal;
    hexadecimal;
    constructor(character, value, maxValue) {
        this.character = character;
        this.binary = CharacterTableEntry.getValue(value, 2, maxValue);
        this.ternary = CharacterTableEntry.getValue(value, 3, maxValue);
        this.octal = CharacterTableEntry.getValue(value, 8, maxValue);
        this.decimal = CharacterTableEntry.getValue(value, 10, maxValue);
        this.hexadecimal = CharacterTableEntry.getValue(value, 16, maxValue);
    }
}
exports.CharacterTableEntry = CharacterTableEntry;
//# sourceMappingURL=CharacterTableEntry.js.map