"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringAutoConvert = void 0;
const CharacterAutoConvert_1 = require("./CharacterAutoConvert");
const CharacterEncoding_1 = require("./CharacterEncoding");
class StringAutoConvert {
    static convertString(input, homogeneous) {
        const split = this.splitString(input);
        if (homogeneous) {
            const encoding = this.determineStringEncoding(input);
            return split.reduce((result, letter) => result + CharacterAutoConvert_1.CharacterAutoConvert.convertCharacter(letter, encoding), '');
        }
        else {
            return split.reduce((result, letter) => result + CharacterAutoConvert_1.CharacterAutoConvert.convertCharacter(letter), '');
        }
    }
    static determineStringEncoding(input) {
        const encodingCount = {};
        const parsed = this.splitString(input);
        const encodingKeys = [];
        for (const letter of parsed) {
            const charEncoding = CharacterAutoConvert_1.CharacterAutoConvert.determineCharacterEncoding(letter);
            if (!encodingCount[charEncoding]) {
                encodingCount[charEncoding] = 1;
                encodingKeys.push(charEncoding);
            }
            else {
                encodingCount[charEncoding] = encodingCount[charEncoding] + 1;
            }
        }
        let maxCount = 0;
        let maxEncoding;
        maxEncoding = CharacterEncoding_1.CharacterEncoding.None;
        for (const encoding of encodingKeys) {
            if (encodingCount[encoding] > maxCount) {
                maxCount = encodingCount[encoding];
                maxEncoding = encoding;
            }
        }
        return maxEncoding;
    }
    static splitString(input) {
        return input.split(' ').filter(item => item !== '');
    }
}
exports.StringAutoConvert = StringAutoConvert;
//# sourceMappingURL=StringAutoConvert.js.map