import { EncodingCategory } from '../Common/EncodingCategory';
import { EncodingCharacterBase } from '../Common/EncodingCharacterBase';
import { MorseEncoding } from './MorseEncoding';
export declare class MorseCharacter extends EncodingCharacterBase<MorseEncoding> {
    static readonly DOT: string;
    static readonly DASH: string;
    static readonly RESERVED_DIVIDER: string;
    static toMorseString(encoding: MorseEncoding): string;
    static parseMorseString(morse: string): MorseEncoding;
    private _morse;
    constructor(str?: string, category?: EncodingCategory);
    get morseString(): string;
    set morseString(value: string);
    backspace(): void;
    dot(): void;
    dash(): void;
    invertDotsAndDashes(): void;
    reverse(): void;
    protected onClear(): void;
    protected onEmpty(): boolean;
    protected getEncoding(): MorseEncoding;
}
