"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NatoData = void 0;
const NatoCharacter_1 = require("./NatoCharacter");
// There's no concept of a 'partial match' for a NATO letter, so there's no
// reason to derive from EncodingDataBase.
class NatoData {
    static instance = new NatoData();
    _entries = [
        new NatoCharacter_1.NatoCharacter('A', 'Alfa'),
        new NatoCharacter_1.NatoCharacter('B', 'Bravo'),
        new NatoCharacter_1.NatoCharacter('C', 'Charlie'),
        new NatoCharacter_1.NatoCharacter('D', 'Delta'),
        new NatoCharacter_1.NatoCharacter('E', 'Echo'),
        new NatoCharacter_1.NatoCharacter('F', 'Foxtrot'),
        new NatoCharacter_1.NatoCharacter('G', 'Golf'),
        new NatoCharacter_1.NatoCharacter('H', 'Hotel'),
        new NatoCharacter_1.NatoCharacter('I', 'India'),
        new NatoCharacter_1.NatoCharacter('J', 'Juliett'),
        new NatoCharacter_1.NatoCharacter('K', 'Kilo'),
        new NatoCharacter_1.NatoCharacter('L', 'Lima'),
        new NatoCharacter_1.NatoCharacter('M', 'Mike'),
        new NatoCharacter_1.NatoCharacter('N', 'November'),
        new NatoCharacter_1.NatoCharacter('O', 'Oscar'),
        new NatoCharacter_1.NatoCharacter('P', 'Papa'),
        new NatoCharacter_1.NatoCharacter('Q', 'Quebec'),
        new NatoCharacter_1.NatoCharacter('R', 'Romeo'),
        new NatoCharacter_1.NatoCharacter('S', 'Sierra'),
        new NatoCharacter_1.NatoCharacter('T', 'Tango'),
        new NatoCharacter_1.NatoCharacter('U', 'Uniform'),
        new NatoCharacter_1.NatoCharacter('V', 'Victor'),
        new NatoCharacter_1.NatoCharacter('W', 'Whiskey'),
        new NatoCharacter_1.NatoCharacter('X', 'X-ray'),
        new NatoCharacter_1.NatoCharacter('Y', 'Yankee'),
        new NatoCharacter_1.NatoCharacter('Z', 'Zulu'),
    ];
    get entries() {
        return this._entries;
    }
    lookup(letter) {
        for (const ch of this._entries) {
            if (ch.character.toUpperCase() === letter.toUpperCase()) {
                return ch;
            }
        }
        return null;
    }
}
exports.NatoData = NatoData;
//# sourceMappingURL=NatoData.js.map