"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResistorColorEntry = void 0;
class ResistorColorEntry {
    name;
    colorCode;
    multiplier;
    value;
    toleranceInPercent;
    constructor(name, colorCode, multiplier, value, toleranceInPercent) {
        this.name = name;
        this.value = value;
        this.colorCode = colorCode;
        this.multiplier = multiplier;
        this.toleranceInPercent = toleranceInPercent;
    }
    hasValue() {
        return this.value !== undefined;
    }
    getDisplayValue() {
        if (this.value === undefined) {
            return '';
        }
        return this.value.toString();
    }
    hasTolerance() {
        return this.toleranceInPercent !== undefined;
    }
    getDisplayTolerance() {
        if (this.toleranceInPercent === undefined) {
            return '';
        }
        return `${this.toleranceInPercent}%`;
    }
}
exports.ResistorColorEntry = ResistorColorEntry;
//# sourceMappingURL=ResistorColorEntry.js.map