import { EncodingCategory } from '../Common/EncodingCategory';
import { EncodingCharacterBase } from '../Common/EncodingCharacterBase';
import { EncodingEntry } from '../Common/EncodingEntry';
import { SemaphoreDirection } from './SemaphoreDirection';
import { SemaphoreEncoding } from './SemaphoreEncoding';
export declare class SemaphoreCharacter extends EncodingCharacterBase<SemaphoreEncoding> {
    private static parseEncoding;
    private _directions;
    constructor(encoding?: SemaphoreEncoding, category?: EncodingCategory);
    get directions(): SemaphoreDirection[];
    set directions(value: SemaphoreDirection[]);
    addDirection(direction: SemaphoreDirection | SemaphoreEncoding): void;
    removeDirection(direction: SemaphoreDirection | SemaphoreEncoding): void;
    hasDirection(direction: SemaphoreDirection): boolean;
    getDegrees(): number[];
    getPotentialMatch(other: SemaphoreDirection): EncodingEntry<SemaphoreEncoding> | null;
    protected onClear(): void;
    protected onEmpty(): boolean;
    protected getEncoding(): SemaphoreEncoding;
}
