"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SemaphoreDegrees = void 0;
const SemaphoreDirection_1 = require("./SemaphoreDirection");
class SemaphoreDegrees {
    static FromDegrees(degrees) {
        if (degrees >= 360) {
            degrees = degrees % 360;
        }
        if (degrees % 45 !== 0 || degrees < 0) {
            throw new Error('Invalid degrees');
        }
        const position = degrees / 45;
        return SemaphoreDirection_1.SemaphoreDirection.North << position;
    }
    static ToDegrees(direction) {
        let position = SemaphoreDirection_1.SemaphoreDirection.North;
        let counter = 0;
        while (counter < 9 && position !== direction) {
            position = position << 1;
            counter++;
        }
        return counter * 45;
    }
}
exports.SemaphoreDegrees = SemaphoreDegrees;
//# sourceMappingURL=SemaphoreDegrees.js.map