import { Result } from './Result';
import { WordSearchDirection } from './WordSearchDirection';
export declare enum WordSearchSpaceTreatment {
    None = 0,
    RemoveWithinPuzzle = 1,
    RemoveAll = 2
}
export declare class WordSearchSolver {
    private _matrix;
    private _directions;
    private _targets;
    private _canBend;
    private _spaceTreatment;
    constructor();
    setWords(words: string[]): void;
    parseGrid(gridInputText: string): void;
    setGrid(matrix: string[][]): void;
    setDirections(direction: WordSearchDirection): void;
    setSpaceTreatment(treatment: WordSearchSpaceTreatment): void;
    setCanBend(canBend: boolean): void;
    findWords(): Result[];
    private search;
    private dfsCheck;
    private lineCheck;
    private isInBounds;
    private checkSpaces;
}
